/*
 *  TOPPERS/DeviceManager
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      DeviceManager
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2006-2009 by Embedded and Real-Time Systems Laboratory
 *            Graduate School of Information Science, Nagoya Univ., JAPAN  
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 *
 */

/* this file contains the actual definitions of */
/* the IIDs and CLSIDs */

/* link this file in with the server and any clients */


/* File created by MIDL compiler version 5.01.0164 */
/* at Thu Jan 08 16:05:53 2009
 */
/* Compiler settings for C:\cygwin\home\ertl\temp\devicemanager\devicemanager.idl:
    Oicf (OptLev=i2), W1, Zp8, env=Win32, ms_ext, c_ext
    error checks: allocation ref bounds_check enum stub_data 
*/
//@@MIDL_FILE_HEADING(  )
#ifdef __cplusplus
extern "C"{
#endif 


#ifndef __IID_DEFINED__
#define __IID_DEFINED__

typedef struct _IID
{
    unsigned long x;
    unsigned short s1;
    unsigned short s2;
    unsigned char  c[8];
} IID;

#endif // __IID_DEFINED__

#ifndef CLSID_DEFINED
#define CLSID_DEFINED
typedef IID CLSID;
#endif // CLSID_DEFINED

const IID IID_IInformation = {0x77B1C425,0x33BA,0x4149,{0xAE,0xB0,0xC4,0x9F,0x72,0xE8,0xE0,0x4C}};


const IID IID_IDevice = {0x22D74719,0xEC99,0x44ba,{0x9D,0x43,0x35,0x4D,0x08,0xED,0x65,0x1F}};


const IID IID__IDeviceEvents = {0xCC7BE194,0x201B,0x4c8f,{0x9C,0xF1,0xC4,0xDA,0x4A,0x69,0x2D,0xE5}};


const IID IID_IKernel = {0x14DCB74E,0x5531,0x4357,{0x94,0x34,0xB9,0x74,0x8F,0x85,0xB3,0xDE}};


const IID IID__IKernelEvents = {0x96A34B6F,0xE3BC,0x408b,{0xA8,0x4E,0xA0,0x63,0x20,0x01,0x1F,0xDE}};


const IID IID__IInformationEvents = {0x5455151D,0xE118,0x4f5a,{0xBB,0x92,0x7A,0xD1,0xFA,0xE8,0xB9,0x4D}};


const IID IID_IKernelLog = {0x9A4772A1,0xE58E,0x472d,{0x92,0xD9,0x37,0x39,0x94,0xA0,0xED,0xD3}};


const IID IID__IKernelLogEvents = {0x3A10ACC3,0x3C4F,0x4d00,{0x8D,0xAF,0xF6,0x20,0xB0,0x2B,0xE5,0x2C}};


const IID LIBID_ATLDEVICEMANAGERLib = {0x5A396CB0,0x60A9,0x4668,{0xAE,0xBA,0x4F,0x69,0xFF,0x45,0x13,0xFF}};


const CLSID CLSID_Device = {0xC430DBEE,0x4C59,0x4297,{0x8A,0xE2,0x60,0x4B,0x5B,0x74,0x03,0x57}};


const CLSID CLSID_Information = {0x0C8489AE,0x503B,0x4df9,{0x9B,0x05,0x9E,0x71,0x90,0xFD,0x3A,0xE3}};


const CLSID CLSID_Kernel = {0x51789667,0x9F20,0x40AF,{0xAF,0x7F,0x98,0x56,0x32,0x5D,0xFB,0x0B}};


const CLSID CLSID_KernelLog = {0x7A19253E,0x8964,0x45c4,{0xA6,0xD9,0xF6,0x69,0x6D,0x30,0xA3,0xC8}};


#ifdef __cplusplus
}
#endif

